import { useQuery } from '@tanstack/react-query';
import { regionsApi, PostGetRegionsReturn } from '../regions-api';
import { BaseAxiosError } from '../../../../types';
import { regionQueryKeys } from '../regions-query-keys';

export const usePostGetRegions = (enabled: boolean) => {
  return useQuery<PostGetRegionsReturn, BaseAxiosError>({
    queryKey: regionQueryKeys.getRegions(),
    queryFn: async () => {
      const response = await regionsApi.getRegions();
      return response.data;
    },
    enabled
  });
};
